// SPDX-License-Identifier: (GPL-2.0 OR BSD-3-Clause)
/*
 * MediaTek Panel driver
 *
 * Copyright (c) 2020 MediaTek Inc.
 * Author Yu-Jen.Huang <yu-jen.huang@mediatek.com>
 */
#ifndef _MTK_PNL_CLK_CTRL_V007_H_
#define _MTK_PNL_CLK_CTRL_V007_H_

int mtk_pnl_xtal_lpll_ckg_setting_v007(struct udevice *dev);
int mtk_disp_odclk_init_v007(struct udevice *dev);
int mtk_analog_setting_v007(struct udevice *dev);
int mtk_moda_dump_clk_tbl_v007(struct udevice *dev);
int mtk_pnl_video_ckg_setting_v007(struct udevice *dev);
int mtk_refpll_init_v007(struct udevice *dev);
int mtk_master_pll_init_v007(struct udevice *dev);
int mtk_slave_pll_init_v007(struct udevice *dev);
int mtk_osd_pll_init_v007(struct udevice *dev);
int mtk_mod_init_v007(struct udevice *dev);
int mtk_gfx_analog_setting_v007(struct udevice *dev);
int mtk_gfx_clk_setting_v007(struct udevice *dev);
int mtk_gfx_odclk_init_v007(struct udevice *dev);
#endif
